View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009620CMakeCMakepublic2009-09-30 04:482016-06-10 14:31
Reporterjmcm 
Assigned ToKitware Robot 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake-2-6 
Target VersionFixed in Version 
Summary0009620: install(target ...) fails to set intermediate directory permissions correctly
DescriptionThe install command for a target (executable, libary, module) allows to specifiy the permisions with which the target is to be installed. What install lacks is a way to specify the permissions for the path of directories that is created, e.g. when installing to an empty directory /opt/test and a Unix umask of 077, the files /opt/test/bin/myExecutable and /opt/test/lib/libmyLib.so have the permissions specified by the permissions statement, in my case 755. The newly created directories /opt/test/bin and /opt/test/lib have permissions 700. The same holds even for the install(directory ...) scenario: The specified directory/ies are created with the correct permissions, the intermediate directories that needed creating are created with 700 again.
Additional Informationcmake 2.6.2
Linux (openSUSE 11.1)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0010978closedKitware Robot Why not skip setting permissions on existing directories? 
related to 0010126closedKitware Robot CMake creates files with wrong permissions 

-  Notes
(0029831)
Brad King (manager)
2012-06-25 14:31

Moving to backlog awaiting contributed patch.
(0034118)
Rob Stewart (reporter)
2013-10-14 12:50

This is a problem for me, too. If I knew where to look, I might try my hand at a patch. If it's in CMake scripting, it shouldn't be too hard. If it's in the C/C++, then I'll need instructions on finding and building the source.
(0041599)
Kitware Robot (administrator)
2016-06-10 14:27

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2009-09-30 04:48 jmcm New Issue
2009-09-30 08:44 Bill Hoffman Status new => assigned
2009-09-30 08:44 Bill Hoffman Assigned To => Brad King
2010-07-13 08:48 Brad King Relationship added related to 0010978
2010-07-13 08:48 Brad King Relationship added related to 0010126
2012-06-25 14:31 Brad King Note Added: 0029831
2012-06-25 14:31 Brad King Assigned To Brad King =>
2012-06-25 14:31 Brad King Status assigned => backlog
2013-10-14 12:50 Rob Stewart Note Added: 0034118
2016-06-10 14:27 Kitware Robot Note Added: 0041599
2016-06-10 14:27 Kitware Robot Status backlog => resolved
2016-06-10 14:27 Kitware Robot Resolution open => moved
2016-06-10 14:27 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker